/// <reference types="react" />
import useSound from './hooks/sound';
import tunings from './music/tunings';
import './css/guitar.scss';
export { useSound, tunings };
export declare function getRenderFingerSpn(tuning: number[], key?: number): (string: number, fret: number) => JSX.Element;
export declare function getRenderFingerRelative(tuning: number[], root: number): (string: number, fret: number) => JSX.Element;
export default function Guitar(props: {
    className?: string;
    fitFretting?: boolean;
    strings?: number[];
    frets?: {
        from: number;
        amount: number;
    };
    lefty?: boolean;
    renderFinger?: (string: number, fret: number) => JSX.Element;
    onChange?: (strings: number[]) => void;
    onPlay?: (string: number) => void;
}): JSX.Element;
